stages:
  - build-cli
  - build-gitlab
  - build
  - deploy-pages

build-cli:
  stage: build-cli
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build --pull -t $CI_REGISTRY_IMAGE/cli .
    - docker push $CI_REGISTRY_IMAGE/cli

build-gitlab:
  stage: build-gitlab
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build --pull -t $CI_REGISTRY_IMAGE/gitlab --file=Dockerfile.gitlab .
    - docker push $CI_REGISTRY_IMAGE/gitlab

build:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build --pull -t $CI_REGISTRY_IMAGE --file=Dockerfile.gitlab .
    - docker push $CI_REGISTRY_IMAGE


pages:
  image: debian:sid
  stage: deploy-pages
  script:
  - apt-get update && apt-get install -y pandoc
  - mkdir public
  - pandoc < README.md > public/index.html
  artifacts:
    paths:
    - public
  only:
  - master
